//---------------------------------------------------------------------------
#ifndef fsuperpzH
#define fsuperpzH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TTrackBar *TrackBar1;
	TLabel *Label1;
	TTrackBar *TrackBar2;
	TLabel *Label2;
	TTrackBar *TrackBar3;
	TLabel *Label3;
	TTrackBar *TrackBar4;
	TLabel *Label4;
	TTrackBar *TrackBar5;
	TLabel *Label5;
	TTrackBar *TrackBar6;
	TLabel *Label6;
	TTrackBar *TrackBar7;
	TLabel *Label7;
	TTrackBar *TrackBar8;
	TLabel *Label8;
	TTrackBar *TrackBar9;
	TLabel *Label9;
	TTrackBar *TrackBar10;
	TLabel *Label10;
	TTrackBar *TrackBar11;
	TLabel *Label11;
	TTrackBar *TrackBar12;
	TLabel *Label12;
	TButton *Button1;
	void __fastcall FormPaint(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall TrackBar1Change(TObject *Sender);
	void __fastcall TrackBar2Change(TObject *Sender);
	void __fastcall TrackBar3Change(TObject *Sender);
	void __fastcall TrackBar4Change(TObject *Sender);
	void __fastcall TrackBar5Change(TObject *Sender);
	void __fastcall TrackBar6Change(TObject *Sender);
	void __fastcall TrackBar7Change(TObject *Sender);
	void __fastcall TrackBar8Change(TObject *Sender);
	void __fastcall TrackBar9Change(TObject *Sender);
	void __fastcall TrackBar10Change(TObject *Sender);
	void __fastcall TrackBar11Change(TObject *Sender);
	void __fastcall TrackBar12Change(TObject *Sender);
	void __fastcall FormKeyPress(TObject *Sender, char &Key);
	void __fastcall Button1Click(TObject *Sender);
private:	// User declarations
	double A1, L1, f1, A2, L2, f2, A3, L3, f3, A4, L4, f4;
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
